From: Paolo Abeni <pabeni@redhat.com>
To: Alice Mikityanska <alice.kernel@fastmail.im>,
Daniel Borkmann <daniel@iogearbox.net>,
"David S. Miller" <davem@davemloft.net>,
Eric Dumazet <edumazet@google.com>,
Jakub Kicinski <kuba@kernel.org>, Xin Long <lucien.xin@gmail.com>,
Willem de Bruijn <willemdebruijn.kernel@gmail.com>,
Willem de Bruijn <willemb@google.com>,
David Ahern <dsahern@kernel.org>,
Nikolay Aleksandrov <razor@blackwall.org>
Cc: Shuah Khan <shuah@kernel.org>,
Stanislav Fomichev <stfomichev@gmail.com>,
Andrew Lunn <andrew+netdev@lunn.ch>,
Simon Horman <horms@kernel.org>, Florian Westphal <fw@strlen.de>,
netdev@vger.kernel.org, Alice Mikityanska <alice@isovalent.com>
Subject: Re: [PATCH net-next v7 11/11] selftests: net: Add a test for BIG TCP in UDP tunnels
Date: Sun, 14 Jun 2026 15:23:39 +0200 [thread overview]
Message-ID: <34f749cf-56bc-450c-acbd-df38cf2c09ec@redhat.com> (raw)
In-Reply-To: <20260611192955.604661-12-alice.kernel@fastmail.im>
On 6/11/26 9:29 PM, Alice Mikityanska wrote:
> +trap cleanup EXIT
> +setup
> +for tunnel in vxlan geneve; do
> + for tun_family in 4 6; do
> + for traffic_family in 4 6; do
> + setup_tunnel "$tunnel" "$tun_family" || exit "$?"
> + do_test "$traffic_family" || exit "$?"
> + cleanup_tunnel
> + done
> + done
> +done
Sashiko noted that the above does not validate the GRO/GSO csum code
path. It could be useful to add another variant, with veth csum offload
disabled.
/P
next prev parent reply other threads:[~2026-06-14 13:23 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-06-11 19:29 [PATCH net-next v7 00/11] BIG TCP for UDP tunnels Alice Mikityanska
2026-06-11 19:29 ` [PATCH net-next v7 01/11] net/sched: act_csum: don't mangle UDP tunnel GSO packets Alice Mikityanska
2026-06-11 19:29 ` [PATCH net-next v7 02/11] geneve: Fix off-by-one comparing with GRO_LEGACY_MAX_SIZE Alice Mikityanska
2026-06-14 13:25 ` Paolo Abeni
2026-06-11 19:29 ` [PATCH net-next v7 03/11] net: Use helpers to get/set UDP len tree-wide Alice Mikityanska
2026-06-12 17:04 ` Jason A. Donenfeld
2026-06-11 19:29 ` [PATCH net-next v7 04/11] net: Enable BIG TCP with partial GSO Alice Mikityanska
2026-06-14 11:19 ` Paolo Abeni
2026-06-11 19:29 ` [PATCH net-next v7 05/11] udp: Support BIG TCP GSO packets where they can occur Alice Mikityanska
2026-06-11 19:29 ` [PATCH net-next v7 06/11] udp: Support gro_ipv4_max_size > 65536 Alice Mikityanska
2026-06-14 11:30 ` Paolo Abeni
2026-06-11 19:29 ` [PATCH net-next v7 07/11] udp: Validate UDP length in udp_gro_receive Alice Mikityanska
2026-06-11 19:29 ` [PATCH net-next v7 08/11] udp: Set length in UDP header to 0 for big GSO packets Alice Mikityanska
2026-06-14 13:19 ` Paolo Abeni
2026-06-11 19:29 ` [PATCH net-next v7 09/11] vxlan: Enable BIG TCP packets Alice Mikityanska
2026-06-11 19:29 ` [PATCH net-next v7 10/11] geneve: " Alice Mikityanska
2026-06-11 19:29 ` [PATCH net-next v7 11/11] selftests: net: Add a test for BIG TCP in UDP tunnels Alice Mikityanska
2026-06-14 13:23 ` Paolo Abeni [this message]
2026-06-14 13:50 ` [PATCH net-next v7 00/11] BIG TCP for " patchwork-bot+netdevbpf
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=34f749cf-56bc-450c-acbd-df38cf2c09ec@redhat.com \
--to=pabeni@redhat.com \
--cc=alice.kernel@fastmail.im \
--cc=alice@isovalent.com \
--cc=andrew+netdev@lunn.ch \
--cc=daniel@iogearbox.net \
--cc=davem@davemloft.net \
--cc=dsahern@kernel.org \
--cc=edumazet@google.com \
--cc=fw@strlen.de \
--cc=horms@kernel.org \
--cc=kuba@kernel.org \
--cc=lucien.xin@gmail.com \
--cc=netdev@vger.kernel.org \
--cc=razor@blackwall.org \
--cc=shuah@kernel.org \
--cc=stfomichev@gmail.com \
--cc=willemb@google.com \
--cc=willemdebruijn.kernel@gmail.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox